[linux-dvb] Q: dvb api 3 - FE_ATSC

Rainer.scherg Rainer.Scherg at t-online.de
Mon Aug 22 21:30:05 CEST 2005


Mws schrieb:

 > Rainer.scherg wrote:
 >

 >>
 >> 4.) A question about dvb-api 4.
 >>  Are there plans to implement a compatibility mode to dvb api 3,
 >>  so software can be migrated smoothly over time?
 >
 >
 >
 > there are already incompatibilities, e.g. the section filter structs.
 > so just recompiling an application will not be the only thing to be done,
 > when you want to migrate.
 >
 >
 > regards
 > marcel
 >

Hi,
  that seems to apply to 4.).

So what? Why not having a compatibility layer in dvbapi 4?

One of the worsest things on linux is having source/programs
not compiling/running any more, just because there is
an API change/enhancement (again).

Of course one can do an own dvb api interface layer to ease pain.
(something like: lib_dvbapi_api 8/)

rainer







More information about the linux-dvb mailing list